## DzlFileChooserEntry

DzlFileChooserEntry

## Functions

GtkWidget * | dzl_file_chooser_entry_new ()
GFile * | dzl_file_chooser_entry_get_file ()
void | dzl_file_chooser_entry_set_file ()
GtkEntry * | dzl_file_chooser_entry_get_entry ()

## Properties

GtkFileChooserAction | action | Read / Write
gboolean | create-folders | Read / Write
gboolean | do-overwrite-confirmation | Read / Write
GFile * | file | Read / Write
GtkFileFilter * | filter | Read / Write
gboolean | local-only | Read / Write
int | max-width-chars | Read / Write
gboolean | show-hidden | Read / Write
char * | title | Read / Write

## Types and Values

#define | DZL_TYPE_FILE_CHOOSER_ENTRY
struct | DzlFileChooserEntryClass
| DzlFileChooserEntry

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlFileChooserEntry

## Implemented Interfaces

DzlFileChooserEntry implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_file_chooser_entry_new ()

    GtkWidget *
    dzl_file_chooser_entry_new (const gchar *title,
                                GtkFileChooserAction action);

### dzl_file_chooser_entry_get_file ()

    GFile *
    dzl_file_chooser_entry_get_file (DzlFileChooserEntry *self);

Returns the currently selected file or `NULL` if there is no selection.

#### Returns

A GFile or `NULL`.

[nullable][transfer full]

### dzl_file_chooser_entry_set_file ()

    void
    dzl_file_chooser_entry_set_file (DzlFileChooserEntry *self,
                                     GFile *file);

### dzl_file_chooser_entry_get_entry ()

    GtkEntry *
    dzl_file_chooser_entry_get_entry (DzlFileChooserEntry *self);

Gets the entry used by the GtkEntry.

#### Parameters

self | a DzlFileChooserEntry |

#### Returns

a GtkEntry.

[transfer none]

Since: 3.32

## Types and Values

### DZL_TYPE_FILE_CHOOSER_ENTRY

    #define DZL_TYPE_FILE_CHOOSER_ENTRY (dzl_file_chooser_entry_get_type())

### struct DzlFileChooserEntryClass

    struct DzlFileChooserEntryClass {
      GtkBinClass parent_class;

      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
    };

### DzlFileChooserEntry

    typedef struct _DzlFileChooserEntry DzlFileChooserEntry;

## Property Details

### The `“action”` property

      “action”                   GtkFileChooserAction

Owner: DzlFileChooserEntry

Flags: Read / Write

Default value: GTK_FILE_CHOOSER_ACTION_OPEN

### The `“create-folders”` property

      “create-folders”           gboolean

Owner: DzlFileChooserEntry

Flags: Read / Write

Default value: FALSE

### The `“do-overwrite-confirmation”` property

      “do-overwrite-confirmation” gboolean

Owner: DzlFileChooserEntry

Flags: Read / Write

Default value: FALSE

### The `“file”` property

      “file”                     GFile *

Owner: DzlFileChooserEntry

Flags: Read / Write

### The `“filter”` property

      “filter”                   GtkFileFilter *

Owner: DzlFileChooserEntry

Flags: Read / Write

### The `“local-only”` property

      “local-only”               gboolean

Owner: DzlFileChooserEntry

Flags: Read / Write

Default value: FALSE

### The `“max-width-chars”` property

      “max-width-chars”          int

Owner: DzlFileChooserEntry

Flags: Read / Write

Allowed values: >= -1

Default value: -1

### The `“show-hidden”` property

      “show-hidden”              gboolean

Owner: DzlFileChooserEntry

Flags: Read / Write

Default value: FALSE

### The `“title”` property

      “title”                    char *

Owner: DzlFileChooserEntry

Flags: Read / Write

Default value: NULL